<?php

/**
 * @file
 * Provide views data for the comment_country module.
 */

/**
 * Implements hook_views_data().
 */
function comment_country_views_data() {

  // table
  $data['comment_country']['table']['group'] = t('Comment');
  $data['comment_country']['table']['join']['comment'] = array(
    'left_field' => 'cid',
    'field' => 'cid',
  );

  // fields
  $data['comment_country']['country_code'] = array(
    'title' => t('Country Code'),
    'help' => t('ISO 3166 standard 2 character country code.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );
  $data['comment_country']['country_name'] = array(
    'title' => t('Country Name'),
    'help' => t('ISO 3166 standard full text country name.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );
  if (module_exists('countryicons')) {
    $data['comment_country']['country_flag'] = array(
      'real field' => 'country_code',
      'title' => t('Country Flag'),
      'help' => t('Country flag image.'),
      'field' => array(
        'handler' => 'comment_country_views_handler_field_country_flag',
      ),
    );
  }

  return $data;
}
