<?php

/**
 * @file
 * Provide views field handler for the country country code field.
 */

/**
 * Views field handler to provide simple renderer that diplays country code as a countryicons module flag.
 */
class comment_country_views_handler_field_country_flag extends views_handler_field {

  function option_definition() {
    $options = parent::option_definition();
    $options['css_sprite'] = array('default' => TRUE);
    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['css_sprite'] = array(
      '#title' => t('Use the Country Icons css sprite format (better performance).'),
      '#type' => 'checkbox',
      '#default_value' => empty($this->options['css_sprite']),
    );
  }

  function render($values) {
    $value = $values->{$this->field_alias};
    $path = drupal_get_path('module', 'countryicons');
    if (empty($this->options['css_sprite'])) {
      return '<img src="/' . $path . '/iconsets/shiny/' . drupal_strtolower($value) . '.png" />';
    }
    else {
      return theme('countryicons_icon_sprite', array('code' => $value));
    }
  }
}
